Jump to content

[Résolu] probleme d'installation de modules


Recommended Posts

Bonjour a tous
après moultes recherche je me rapproche de vous afin d'avoir éventuellement une solution a mon problème.

j'ai installé Prestashop sur un OVH tous c'est bien passé.

Toutefois mon soucis vient du coté des modules. En fait quand j'essaye d'installer un module inclus dans l'installation globale, Prestashop me renvois la phrase suivante :

Les modules suivants n'ont pas été installés correctement :

* birthdaypresent


j'ai essaye en changeant les permission mais rien n'y fait.

Quelqu'un aurait il une éidée afin de resorber ce soucis
par avance merci

Share this post


Link to post
Share on other sites

Bonjour

Si les autres modules se sont installer correctement c'est pas une histoire de droit, mais plutôt vérifier via ftp si le module correspond au module dans le zip, nombre de fichier, poids etc..

Mais pour un débutant je conseillerai plutôt d'effacer ce module via ftp et de remettre celui du prestashop.zip

Pourquoi : il suffit que pendant le transfert un octet ou un paquet d'octet à été mal transférer que ça bloque ce module.

Share this post


Link to post
Share on other sites

merci bcp pour ta réponse

en fait c'était du au fait que j'avais dépassé le quot de ma sql

comme en fait la boutique est relier a un gros site j'ai pas fait attention a la limite maximal de la sql

en tout cas merci encore pour ta réponse

Share this post


Link to post
Share on other sites

  • 7 months later...

bonjour
Je viens vers vous car j'ai un soucis avec mes modules .
J'ai installé des modules gratuit directement par le FTP /
Lorsque je suis allé sur mon panneaux de control admin :
grosse surprise :
Warning: require(/homepages/26/d279660131/htdocs/demoboutiquedoguo/classes/rating/_drawrating.php) [function.require]: failed to open stream: No such file or directory in /homepages/26/d279660131/htdocs/demoboutiquedoguo/classes/Module.php(325) : eval()'d code on line 3

Fatal error: require() [function.require]: Failed opening required '/homepages/26/d279660131/htdocs/demoboutiquedoguo/classes/rating/_drawrating.php' (include_path='.:/usr/lib/php5') in /homepages/26/d279660131/htdocs/demoboutiquedoguo/classes/Module.php(325) : eval()'d code on line 3
Je ne sais ce que je dois faire ???
pouvez vous m'aidez svp ??
Merci

Share this post


Link to post
Share on other sites

Bonjour
Merci pour votre réponse .
J'ai tout désinstallé et fini par trouvé quel module était du l'erreur .
Merci pour le fichier drwrating.php .
Psniff pourtant le module est bien complet .
Je vais en prévenir les auteurs .
Cordialement .
Je voulais fermer le sujet mais je ne trouve pas ou on dois le faire ..
Désolé merci

Share this post


Link to post
Share on other sites

  • 1 month later...

Bonsoir !

J'ai le même pb que toi Doguo. Qu'as tu fais pour réparer ce beug ? Cela est venu pour ma part lors de l'envoi du module Blockhomenews sur le serveur. J'ai donc envoyé le dossier du module dans le répertoire correspondant et 2 autres fichiers :
- news.php (à la racine de la boutique)
- news.tpl (à la racine du dossier du thème).
après cela j'ai voulu retourner dans la partie Module du site. Là, écran blanc !
Après avoir activé le mode debug, j'ai eu les mêmes messages d'erreur :

Warning: require(/homepages/19/d300857124/htdocs/boutique/classes/rating/_drawrating.php) [function.require]: failed to open stream: No such file or directory in /homepages/19/d300857124/htdocs/boutique/classes/Module.php(323) : eval()'d code on line 3

Fatal error: require() [function.require]: Failed opening required '/homepages/19/d300857124/htdocs/boutique/classes/rating/_drawrating.php' (include_path='.:/usr/lib/php5') in /homepages/19/d300857124/htdocs/boutique/classes/Module.php(323) : eval()'d code on line 3

Merci de bien vouloir m'aider car je ne peux plus gérer les modules...

Share this post


Link to post
Share on other sites

  • 3 weeks later...

Bonjour
Désolé pour le retard ..
Trop de boulot ..
Gyom86 pour résoudre mon problème
1 étant donné que j'ai mis plusieurs module en même temps je n'ai pu vraiment savoir lequel en était à l'origine, j'ai donc agit par élimination pour avoir vraiment le module en question .
Apres j'ai été obligé de le supprimer par mon ftp direct, je ne l'ai pas remis car le module comporte des buggs, et les auteurs de celui-ci ne l'avait pas encore corriger,
je dois les recontacter pour voir ou sa en es .
Change donc ton module Blockhomenews il doit également avoir des bug
Est tu sûr que tu dois intervenir dans la racine de ton site et non pas ds la partie module???
Ton fichier tpl tu peux le vérifier en cas ;
Certain module gratuit non réalisé par prestashop comporte quand même certain gros bug, ..
Amicalement

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More